import { PubSubHandler, PubSubHandlerResponse, PubSubMessageType } from './types';
export interface HandlePubSubMessageArgs<Context = unknown> {
    message: PubSubMessageType;
    handler: PubSubHandler;
    parseJson?: boolean;
    context?: Context;
}
export declare function handlePubSubMessage<Context = unknown>(args: HandlePubSubMessageArgs<Context>): Promise<PubSubHandlerResponse | void>;
