import { PubSubConfig, PubSubHandler } from '../types';
import type * as express from 'express';
export declare type PubSubCloudFunctionsConfig = Omit<PubSubConfig, 'handler' | 'path'>;
export declare type CloudFunctionFun = (req: express.Request, res: express.Response) => Promise<void>;
export declare function createPubSubCloudFunctions<T = unknown>(handler: PubSubHandler<T>, options?: PubSubCloudFunctionsConfig): CloudFunctionFun;
