"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlePubSubMessage = void 0;
async function handlePubSubMessage(args) {
    const { message, parseJson = true, handler, context } = args;
    let data = Buffer.from(message.data, 'base64').toString().trim();
    if (parseJson) {
        data = JSON.parse(data);
    }
    return handler({
        message,
        data,
        context,
    });
}
exports.handlePubSubMessage = handlePubSubMessage;
//# sourceMappingURL=common.js.map